hplip online documentation: manual tarball installation shows package dependancies which are out-of-date

Bug #1163339 reported by Subharo Bhikkhu on 2013-04-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned

Bug Description

I'm using Lubuntu 12.10 (but this should also apply for all *buntu distros).

HPLIP's online documentation is out-of-date, as shown here:
http://hplipopensource.com/hplip-web/install/manual/hp_setup.html

...see step 2, as shown there. These were the dependancies I had to install (which differs slightly from that which is recommended on the webpage), before installing HPLIP 3.13.3 from tarball:

sudo apt-get install --assume-yes libcups2 cups libcups2-dev cups-bsd cups-client libcupsimage2-dev libdbus-1-dev build-essential ghostscript openssl libjpeg-dev libsnmp-dev libtool libusb-1.0-0-dev wget python-imaging policykit-1 policykit-1-gnome python-qt4 python-qt4-dbus python-dbus python-gobject python-dev python-notify python python-reportlab libsane libsane-dev sane-utils xsane libtiff-dev libjpeg8-dev libjpeg-turbo8-dev

Everything went smoothly once these dependancies could be installed (resulting in no package conflicts).

Basically, as of 12.10, the package libjpeg62-dev had been renamed to libjpeg-dev, and I also had to install libtiff-dev, libjpeg8-dev, and libjpeg-turbo8-dev

HPLIP folks, would you please update the above webpage, to reflect the correct dependancies for all *buntu 12.10?

This documentation discrepancy was discovered when trying to address this other bug:
https://bugs.launchpad.net/hplip/+bug/1094320

goutam kodu (goutam-hplip) wrote :

Hi Bhikkhu,

Thank you for letting us know this issue. We will have this reproduce and update the manual installation instructions for ubuntu.

Rgds,
Goutam

Subharo Bhikkhu (subharo) wrote :

I'm positive about the renaming of libjpeg-dev. I'm pretty sure about the need for libtiff-dev, however libjpeg8-dev, and libjpeg-turbo8-dev may not be needed (as I might have installed those on a whim, hoping to correct the need to find something that could effectively replace libjpeg62-dev)

Changed in hplip:
status: New → Fix Committed
Changed in hplip:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers